Skip to main content
POST
/
snapshots
Create snapshot
curl --request POST \
  --url https://your-domain.com/api/client/v1/snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "ignore": "<string>"
}
'
{
  "snapshot_id": "<string>",
  "snapshot_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
source_server_id
string<uuid>
required
name
string
Maximum string length: 255
ignore
string
Maximum string length: 10000

Response

Snapshot queued

snapshot_id
string
snapshot_uuid
string<uuid>
source_server_id
string<uuid>
name
string
status
string